GET api/NTCosCompany/GetCompanyQuestionAllService?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfCompanyQuestionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CompanyQuestionDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CompanyQuestionId": 1,
"QuestionId": 2,
"QuestionStatus": true,
"QuestionDesc": "sample string 4",
"QuestionCode": "sample string 5",
"Screen": "sample string 6",
"Section": "sample string 7",
"IsNotification": true,
"NotificationTypeId": 1,
"RequiredStatus": true,
"Sequence": 1,
"CosEccRequired": true,
"COSServiceId": 1,
"COSSubServiceId": 1,
"ServiceName": "sample string 9",
"SubServiceName": "sample string 10",
"SectionNo": 1,
"ScreenNo": 1,
"IsDefault": true,
"IsDisabled": true,
"IsTelemedFormRequired": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:23.7188585-07:00",
"DateUpdated": "2026-08-04T14:29:23.7188585-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
},
{
"CompanyQuestionId": 1,
"QuestionId": 2,
"QuestionStatus": true,
"QuestionDesc": "sample string 4",
"QuestionCode": "sample string 5",
"Screen": "sample string 6",
"Section": "sample string 7",
"IsNotification": true,
"NotificationTypeId": 1,
"RequiredStatus": true,
"Sequence": 1,
"CosEccRequired": true,
"COSServiceId": 1,
"COSSubServiceId": 1,
"ServiceName": "sample string 9",
"SubServiceName": "sample string 10",
"SectionNo": 1,
"ScreenNo": 1,
"IsDefault": true,
"IsDisabled": true,
"IsTelemedFormRequired": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:23.7188585-07:00",
"DateUpdated": "2026-08-04T14:29:23.7188585-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}